### org.jfree.layouting.input.swing

# Interface Converter

Known Implementing Classes:
  CharacterConverter, ColorConverter, DocumentConverter, FontConverter, ParagraphConverter

`public interface Converter`

This interface describes a class that is used to convert style attributes to css style attributes.

  ## Method Summary

  `ConverterAttributeSet`

  `convertToCSS(Object key, Object value, ConverterAttributeSet cssAttr, Element context)`
    Converts a style key and a style value to a CSS compatible style key and style value.

## Method Details

### convertToCSS

    public ConverterAttributeSet convertToCSS(Object key,
                                              Object value,
                                              ConverterAttributeSet cssAttr,
                                              Element context)

> Converts a style key and a style value to a CSS compatible style key and style value. A conversion can result in more than one key and value.
> Parameters:
>   `key` - The style key to convert.
>   `value` - The style value to convert.
>   `cssAttr` - The current converted CSS attributes for the current element.
>   `context` - The current Element.
> Returns:
>   The conversion result or null if no converstion has been done.